libccolamd2.8.0_4.2.1-3_i386.deb


Advertisement

Description

libccolamd2.8.0 - constrained column approximate library for sparse matrices

Property Value
Distribution Debian 8 (Jessie)
Repository Debian Main i386
Package name libccolamd2.8.0
Package version 4.2.1
Package release 3
Package architecture i386
Package type deb
Installed size 51 B
Download size 19.04 KB
Official Mirror ftp.br.debian.org
Suitesparse is a collection of libraries for computations involving
sparse matrices.  This package includes the following dynamic library:
COLAMD      constrained column approximate minimum degree ordering

Alternatives

Package Version Architecture Repository
libccolamd2.8.0_4.2.1-3_amd64.deb 4.2.1 amd64 Debian Main
libccolamd2.8.0 - - -

Requires

Name Value
libc6 >= 2.1.3
multiarch-support -

Download

Type URL
Binary Package libccolamd2.8.0_4.2.1-3_i386.deb
Source Package suitesparse

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libccolamd2.8.0 deb package:
    # sudo apt-get install libccolamd2.8.0

Files

Path
/usr/lib/i386-linux-gnu/libccolamd.so.2.8.0
/usr/share/doc/libccolamd2.8.0/NEWS.Debian.gz
/usr/share/doc/libccolamd2.8.0/changelog.Debian.gz
/usr/share/doc/libccolamd2.8.0/copyright

Changelog

2013-12-01 - Sébastien Villemot <sebastien@debian.org>
suitesparse (1:4.2.1-3) unstable; urgency=low
* Upload to unstable.
* Register user guides for KLU, CAMD, SPQR and LDL in doc-base.
2013-11-13 - Sébastien Villemot <sebastien@debian.org>
suitesparse (1:4.2.1-2) experimental; urgency=low
* Really fix BLAS/LAPACK dependencies of libsuitesparse-dev
- remove obsolete ATLAS specialized libraries (Closes: #645846)
- add virtual package libblas.so as a BLAS alternative (Closes: #645844)
* Remove Daniel Rus Morales from Uploaders, with his consent. Thanks
Daniel for your work!
* d/rules: do not regenerate d/control automatically, this is
forbidden
* d/rules: fix get-orig-source rule
* d/control: use canonical URLs for Vcs-* fields
* Mark debug package as Multi-Arch: same
* Ship libsuitesparseconfig.a in the -dev package.
* Bump Standards-Version to 3.9.5, no changes needed.
2013-05-03 - Sébastien Villemot <sebastien@debian.org>
suitesparse (1:4.2.1-1) experimental; urgency=low
* New upstream release (Closes: #706709)
- debian/library-soname.pl: update soversion numbers
* debian/rules: recreate d/control when d/library-sonames.pl is
modified
2013-04-29 - Sébastien Villemot <sebastien@debian.org>
suitesparse (1:4.2.0-1) experimental; urgency=low
[ Christophe Trophime ]
* New upstream release (Closes: #653660, #687282)
- Renamed UFconfig to SuiteSparse_config
- Update patches to new release
- debian/library-soname.pl: update soversion numbers
[ Sébastien Villemot ]
* debian/control.in:
- fix Maintainer field (Closes: #674266, #674268, #674270, #674271, #674272,
#674273, #674274, #674275, #674276, #674277, #674278, #674279, #674280,
#674281)
- add myself to Uploaders
- remove obsolete DM-Upload-Allowed flag
* Remove obsolete README.source
* debian/rules: clean *.oo files
* Bump to debhelper compat level 9
* Update debian/copyright
* Remove symbols files: they are useless since we bump the soversion
at every new upstream release
* Clean up build flags
- make sure to inject flags from dpkg-buildflags
- buildflags.diff: new patch to remove spurious flags in upstream build
system
- remove -m64 flag on amd64 CPUs (Closes: #701654)
* Fix version in NEWS.Debian, to make lintian happy
* parallel-build.diff: new patch, fixes parallel build
* Multiarchify the package
* Fix BLAS/LAPACK dependencies of libsuitesparse-dev:
- remove obsolete ATLAS specialized libraries (Closes: #645846)
- add libopenblas-dev as a BLAS alternative (Closes: #645844)
* Bump to Standards-Version 3.9.4, no changes needed
* Suitesparse_config_Makefile.diff: new patch, creates a PIC version
of the (small) config code, for embedding in other shared libs
* KLU_Demo_Makefile.diff: new patch, needed for creating the right
dependencies between shared libraries
* Create a new shared library package for SPQR (Closes: #589296)
* Update README.Debian
2012-08-04 - Evgeni Golov <evgeni@debian.org>
suitesparse (1:3.4.0-3) unstable; urgency=low
* Team upload.
[ Sylvestre Ledru ]
* Standard-Version updated to 3.9.3 (no changes requiered)
[ Evgeni Golov ]
* [f782819] Add -g to CFLAGS. (Closes: #682177)
* [d43b31b] Honour CFLAGS in debian/patches/09-CSparse_Lib_Makefile.diff
[ Anton Gladky ]
* [3a0e1c1] Move repository into debian-science.
2010-04-15 - Sylvestre Ledru <sylvestre@debian.org>
suitesparse (1:3.4.0-2) unstable; urgency=low
* Maintainer changed to Debian Science
* Updated list of Uploaders (Closes: #571884, #550417)
* Standards-Version updated to version 3.8.4
* Link against -llapackgf-3 changed to -llapack (Closes: #577879)
* Removed doc-central recommends (Closes: #566361)

See Also

Package Description
libcconv-dev_0.6.2-1.1_i386.deb development library for CCONV
libcconv0_0.6.2-1.1_i386.deb library for CCONV
libccp4-data_6.4.5-2_all.deb CCP4 core functionality - common files
libccp4-dev_6.4.5-2_i386.deb CCP4 core functionality - development files
libccp4c0_6.4.5-2_i386.deb CCP4 core functionality - C runtime
libccp4f0_6.4.5-2_i386.deb CCP4 core functionality - fortran runtime
libccrtp-dev_2.0.9-2+b2_i386.deb Common C++ class framework for RTP packets - development files
libccrtp-doc_2.0.9-2_all.deb Documentation files for GNU ccRTPp library
libccrtp2_2.0.9-2+b2_i386.deb Common C++ class framework for RTP packets
libccs-dev_3.1.8-1.2+b1_i386.deb Red Hat cluster suite - cluster manager development files
libccs-perl_3.1.8-1.2+b1_i386.deb Red Hat cluster suite - cluster configuration module
libccs3_3.1.8-1.2+b1_i386.deb Red Hat cluster suite - cluster configuration libraries
libccscript3-1.1-0_1.1.7-2_i386.deb GNU Common C++ framework for embedded scripting
libccscript3-dev_1.1.7-2_i386.deb GNU Common C++ framework for embedded scripting - development files
libccss-1-5_0.5.0-4_i386.deb simple api for CSS stylesheets
Advertisement
Advertisement